require "spec_helper"

describe Squarespace::Sync::Cli do

  describe "#version" do
    it "should return the version number" do
      expect( shell("version") ).to eq "#{Squarespace::Sync::VERSION}\n"
    end
  end

  describe "#setup" do
    it "shoud create the file" do
      expect( shell("setup", clean: false) ).to match %r{[create squarespace\.yaml]}
      expect( File.exists?("tmp/squarespace.yaml") ).to eq true
    end

    it "should have default contents" do
      contents = YAML.load_file("tmp/squarespace.yaml")
      expect( contents.size ).to eq 6
    end
  end

  describe "#push" do
    it "is implemented but waiting" do
      pending "needs a mock sftp connection"
    end
  end

  describe "#pull" do
    it "is implemented but waiting" do
      pending "needs a mock sftp connection"
    end
  end

end