require "rspec"
require File.expand_path("lib/squarespace/sync.rb", File.dirname(File.dirname(__FILE__)))

$:.unshift File.expand_path("bin", File.dirname(File.dirname(__FILE__)))

RSpec.configure do |config|
  config.mock_with :rspec

  # reject should matchers, keep our specs consistent
  config.expect_with :rspec do |c|
    c.syntax = :expect
  end

  module Helpers
    def default_options
      {
        clean: true,
        args: []
      }
    end

    def shell(command, options={})
      options = default_options.merge(options)
      `cd #{File.join(Dir.pwd, "tmp")} && ../bin/squarespace #{command} #{options[:args].join}`
    ensure
      Dir[File.join(Dir.pwd, "tmp", "*")].each do |file|
        FileUtils.rm_f(file)
      end if options[:clean]
    end
  end

  config.include Helpers
end